Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# WalkingEngine Class Reference

A generic class for walking engine modules. More...

`#include <WalkingEngine.h>`

Inheritance diagram for WalkingEngine:

[legend]
Collaboration diagram for WalkingEngine:

[legend]
List of all members.

## Public Member Functions
| WalkingEngine (const WalkingEngineInterfaces &interfaces)
virtual bool | executeParameterized (JointData &jointData, const WalkRequest &walkRequest, double positionInWalkingCycle)=0
| Calculates the next joint data set.
virtual | ~WalkingEngine ()
| Destructor.
## Private Member Functions
virtual void | execute ()
| That function is not used but has to be implemented.

## Detailed Description

A generic class for walking engine modules.

It generates JointData and OdometryData according to current MotionRequest executing walking type motions.

Definition at line 96 of file WalkingEngine.h.

## Constructor & Destructor Documentation

WalkingEngine::WalkingEngine | ( | const WalkingEngineInterfaces & | interfaces | ) | `[inline]`

| Definition at line 103 of file WalkingEngine.h. References getRobotConfiguration().

Here is the call graph for this function:

virtual WalkingEngine::~WalkingEngine | ( |  | ) | `[inline, virtual]`

| Destructor. Definition at line 120 of file WalkingEngine.h.

## Member Function Documentation

virtual bool WalkingEngine::executeParameterized | ( | JointData & | jointData,
|  | const WalkRequest & | walkRequest,
|  | double | positionInWalkingCycle
| ) | `[pure virtual]`

  | Calculates the next joint data set. Parameters:
  jointData | stores calculated frame
  walkRequest | The current motion request
  positionInWalkingCycle | A request position for the walkcycle.
Returns: true if next set should be calculated by WalkingEngine false if change to other module can occur Implemented in GT2004WalkingEngine, GT2005WalkingEngine, InvKinWalkingEngine, ParamInvKinWalkingEngine, ParamRearOnlyInvKinWalkingEngine, and WalkingEngineSelector. Referenced by GT2005MotionControl::execute().

virtual void WalkingEngine::execute | ( |  | ) | `[inline, private, virtual]`

| That function is not used but has to be implemented. Reimplemented from Module. Definition at line 124 of file WalkingEngine.h.

The documentation for this class was generated from the following file:

- Modules/WalkingEngine/WalkingEngine.h